Bug 443270 - segfault with certain utf8 string as regexp
segfault with certain utf8 string as regexp
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-19 19:50 EDT by Ariel T. Glenn
Modified: 2008-06-26 10:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 10:03:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ariel T. Glenn 2008-04-19 19:50:52 EDT
Problem: The supplied code segfaults.  

Version-Release number of selected component (if applicable):
perl-5.8.8-28.fc7

How reproducible: run this program:

#!/usr/bin/perl                                                                
                                                                        
binmode(STDOUT, ":utf8");
binmode(STDIN, ":utf8");

use encoding(UTF8);

$title="test";
if ($title =~ /'élé'/) {
    print "it matches with title $title\n";
}
else {
    print "it does not match with title $title\n";
}
exit 0;

My locale, if it makes a difference: el_GR.UTF-8

Note that taking out the single quotes, or one of the accented e's, or putting 
other text in front of the string (but after the quote) makes it work fine.
Comment 1 Bug Zapper 2008-05-14 05:45:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Marcela Mašláňová 2008-06-09 10:14:33 EDT
Have you perl-5.8.8 and F-9?

It's working for me with perl-5.8.8 and perl-5.10.0. I tried different locales,
but no segfault.

Note You need to log in before you can comment on or make changes to this bug.